package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 对应数据库表(sys_music_score_categories):
 */
public class SysMusicScoreCategories {

	/**  */
	private Integer id;
	
	/**  */
	private Integer parentId;
	
	/** 名称 */
	private String name;
	
	/** 封面图片 */
	private String coverImg;
	
	/** 操作人 */
	private Integer operatorId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private List<SysMusicScoreCategories> sysMusicScoreCategoriesList;

	public List<SysMusicScoreCategories> getSysMusicScoreCategoriesList() {
		return sysMusicScoreCategoriesList;
	}

	public void setSysMusicScoreCategoriesList(List<SysMusicScoreCategories> sysMusicScoreCategoriesList) {
		this.sysMusicScoreCategoriesList = sysMusicScoreCategoriesList;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setParentId(Integer parentId){
		this.parentId = parentId;
	}
	
	public Integer getParentId(){
		return this.parentId;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setCoverImg(String coverImg){
		this.coverImg = coverImg;
	}
	
	public String getCoverImg(){
		return this.coverImg;
	}
			
	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
